Special:CX does not seem to be working on Bangla Wikipedia
Closed, ResolvedPublic

Arrbee created this task.Dec 12 2016, 1:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 12 2016, 1:29 PM

Both pages are listed under 'Other Special pages', but do not resolve to anything but the page that says that there are no such special pages.

Change 326427 had a related patch set uploaded (by Amire80):
Revert "ContentTranslation.alias.php translations for Bengali"

https://gerrit.wikimedia.org/r/326427

Change 326433 had a related patch set uploaded (by Nikerabbit):
Normalize special page aliases (bn) to a form MediaWiki can understand

https://gerrit.wikimedia.org/r/326433

Copying from chat to permament storage.

Basically [UtfNormal\Validator::cleanUp] normalization call forces everything in MediaWiki to use NFC. Except content from i18n files are trusted and not normalized. When we got most of these via translatewiki.net, this normalization was automatically applied, but with manual submission not.

  • one possible fix is to call $wgContLang->normalize on input from PHP files
  • a bigger question is whether NFC is the right thing for MediaWiki to use

My suggestion:

  1. apply mine or Amir's patch in the short term (remember to rebuild l10n cache)
  2. consider adding safeguard for input from i18n files to avoid or catch these type of errors
    1. could also add unit test that verifies all i18n file contents... maybe better tradeoff than slowing runtime performance

I totally support idea 2.A. Let's have a unit test for this.

Additional information: the character য় (U+09DF) was interpreted by MediaWiki as য (U+09AF) and nukta (U+09BC).

Using Amir's patch will revert the translation but the problem will recur if the strings are translated again.

Arrbee triaged this task as "High" priority.

Change 326427 abandoned by Amire80:
Revert "ContentTranslation.alias.php translations for Bengali"

https://gerrit.wikimedia.org/r/326427

Change 326433 merged by jenkins-bot:
Normalize special page aliases (bn) to a form MediaWiki can understand

https://gerrit.wikimedia.org/r/326433

Nikerabbit removed a project: Patch-For-Review.
Nikerabbit claimed this task.
Arrbee moved this task from QA to Done on the Language-Q2-2016-17 Sprint 5 board.Dec 16 2016, 7:03 AM
Aftabuzzaman closed this task as "Resolved".Dec 17 2016, 8:10 PM